# sem_remove

(PHP 4 >= 4.1.0, PHP 5, PHP 7)

sem_remove — Remove a semaphore

### Description

sem_remove ( resource `$sem_identifier` ) : bool

sem_remove() removes the given semaphore.

After removing the semaphore, it is no longer accessible.

### Parameters

`sem_identifier`

  A semaphore resource identifier as returned by sem_get().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- sem_get() - Get a semaphore id
- sem_release() - Release a semaphore
- sem_acquire() - Acquire a semaphore